Bug 1305687 - According to guidelines, group-writeable directories should be 2775 not 0775
According to guidelines, group-writeable directories should be 2775 not 0775
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wordpress (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 16:52 EST by Adam Williamson
Modified: 2016-09-26 23:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: wordpress-4.6-2.fc25 wordpress-4.6.1-1.fc23 wordpress-4.6.1-1.fc24 wordpress-4.6.1-1.el5 wordpress-4.6.1-1.el6 wordpress-4.6.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-21 16:23:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2016-02-08 16:52:49 EST
Wordpress contains a set of group-writeable directories:

%dir %attr(0775,apache,ftp) %{wp_content}/plugins
%dir %attr(0775,apache,ftp) %{wp_content}/themes
%dir %attr(0775,apache,ftp) %{wp_content}/upgrade
%dir %attr(0775,apache,ftp) %{wp_content}/uploads

per the guidelines, these should be 2775, not 0775:

"If the directory needs to be group writable, it should also have the setgid bit set so that files written there are owned by that group. These directories should have mode 2775."

https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions
Comment 1 Jan Kurik 2016-02-24 09:27:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora Update System 2016-09-03 03:07:33 EDT
wordpress-4.6-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-80a1d6211a
Comment 3 Fedora Update System 2016-09-03 03:07:43 EDT
wordpress-4.6-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-91bfe9ddb8
Comment 4 Fedora Update System 2016-09-03 03:07:50 EDT
wordpress-4.6-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a8657278bf
Comment 5 Fedora Update System 2016-09-03 03:08:58 EDT
wordpress-4.6-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7e2d0ee701
Comment 6 Fedora Update System 2016-09-03 03:09:07 EDT
wordpress-4.6-2.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b0f7448ed8
Comment 7 Fedora Update System 2016-09-03 03:09:14 EDT
wordpress-4.6-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-eb5607d339
Comment 8 Fedora Update System 2016-09-03 21:17:15 EDT
wordpress-4.6-2.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b0f7448ed8
Comment 9 Fedora Update System 2016-09-03 21:17:34 EDT
wordpress-4.6-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-eb5607d339
Comment 10 Fedora Update System 2016-09-03 21:17:45 EDT
wordpress-4.6-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7e2d0ee701
Comment 11 Fedora Update System 2016-09-03 21:19:25 EDT
wordpress-4.6-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-91bfe9ddb8
Comment 12 Fedora Update System 2016-09-03 21:21:28 EDT
wordpress-4.6-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a8657278bf
Comment 13 Fedora Update System 2016-09-03 21:23:50 EDT
wordpress-4.6-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-80a1d6211a
Comment 14 Fedora Update System 2016-09-08 03:10:21 EDT
wordpress-4.6.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-eb5607d339
Comment 15 Fedora Update System 2016-09-08 03:10:47 EDT
wordpress-4.6.1-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b0f7448ed8
Comment 16 Fedora Update System 2016-09-08 03:11:15 EDT
wordpress-4.6.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7e2d0ee701
Comment 17 Fedora Update System 2016-09-08 03:11:30 EDT
wordpress-4.6.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a8657278bf
Comment 18 Fedora Update System 2016-09-08 03:11:48 EDT
wordpress-4.6.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-91bfe9ddb8
Comment 19 Fedora Update System 2016-09-08 17:14:41 EDT
wordpress-4.6-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2016-09-09 00:48:05 EDT
wordpress-4.6.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b0f7448ed8
Comment 21 Fedora Update System 2016-09-09 13:16:36 EDT
wordpress-4.6.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-eb5607d339
Comment 22 Fedora Update System 2016-09-09 13:19:06 EDT
wordpress-4.6.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7e2d0ee701
Comment 23 Fedora Update System 2016-09-09 13:58:17 EDT
wordpress-4.6.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-91bfe9ddb8
Comment 24 Fedora Update System 2016-09-12 11:30:02 EDT
wordpress-4.6.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a8657278bf
Comment 25 Fedora Update System 2016-09-21 16:23:13 EDT
wordpress-4.6.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2016-09-21 20:26:17 EDT
wordpress-4.6.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2016-09-23 10:46:26 EDT
wordpress-4.6.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2016-09-26 23:47:48 EDT
wordpress-4.6.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2016-09-26 23:51:29 EDT
wordpress-4.6.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.